-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlBaseActualParameter

Declaration :

- C++ : class UmlBaseActualParameter
- Java : abstract class UmlBaseActualParameter

Directly inherited by : UmlActualParameter

This class manages 'actual parameters' of a template class. For instance T in
class Cl1 : public Cl2<T> ...

Artifact : UmlBaseActualParameter

Operation UmlBaseActualParameter

Declaration :

- C++ : public: UmlBaseActualParameter()
- Java : public UmlBaseActualParameter()

Operation superClass

Declaration :

- C++ : public: UmlClass * superClass()const
- Java : public final UmlClass superClass()

returns the class of the corresponding formal

Operation rank

Declaration :

- C++ : public: unsigned rank()const
- Java : public final int rank()

returns the actual rank (0...)

Operation value

Declaration :

- C++ : public: const UmlTypeSpec & value()const
- Java : public final UmlTypeSpec value()

returns the actual's value

Relation _superClass (<unidirectional association>)

Declaration :

- C++ : protected: UmlClass * _superClass
- Java : protected UmlClass _superClass

Attribut _rank

Declaration :

- C++ : protected: unsigned _rank
- Java : protected int _rank

Relation _value (<directional aggregation by value>)

Declaration :

- C++ : protected: UmlTypeSpec _value
- Java : protected UmlTypeSpec _value

Operation read_

Declaration :

- C++ : protected: void read_()
- Java : protected void read_()

internal, do NOT use it

All public operations :

rank , superClass , value